test_fsync
==========

This program tests fsync.  The tests are described as part of the program output.

	Usage: test_fsync [option...]

Options:
	-f, --filename		specify filename for test
	-o, --ops-per-test	operations per test
	
test_fsync is intended to give you a reasonable idea of what the fastest
fsync_method is on your specific system, as well as supplying diagnostic
information in the event of an identified I/O problem.  However,
differences shown by test_fsync might not make any difference in real
database throughput, especially since many database servers are not
speed-limited by their transaction logs.

The output filename defaults to test_fsync.out in the current directory.
test_fsync should be run in the same filesystem as your transaction log
directory (pg_xlog).

Operations per test defaults to 2000.  Increase this to get more accurate
measurements.

